%global install_loc  %{_datadir}/eclipse/dropins
%global eclipse_base %{_libdir}/eclipse

%global pkgname      eclox

Name:		eclipse-%{pkgname}
Version:	0.8.0
Release:	%mkrel 7.20100810svn.2
Summary:	Eclipse-based doxygen plugin

Group:		Development/Java
License:	GPLv2+
URL:		http://eclox.eu/

Source0:	org.gna.%{pkgname}_%{version}.tar.gz
# Source1 is used to download Source0
Source1:	eclipse-%{pkgname}-download.sh

# These excludes are pulled as %%docs instead
Patch0:		eclipse-eclox-bin_excludes.patch
Patch1:		eclipse-eclox-help_excludes.patch

BuildRequires:	eclipse-pde
BuildRequires:	java-devel

Requires:	doxygen
Requires:	eclipse-platform

BuildArch:	noarch

%description
Eclox is a doxygen frontend plug-in for eclipse.
It aims to provide a slim and sleek integration of the
code documentation process into eclipse.

%prep
%setup -q -n org.gna.%{pkgname}_%{version}

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

# Remove unneccessary files
%patch0 -p0 -b .exclude
%patch1 -p0 -b .exclude

%build
# build the main feature
eclipse-pdebuild -f org.gna.%{pkgname}

%install
install -d -m 755 %{buildroot}%{install_loc}

unzip -d %{buildroot}%{install_loc} -q build/rpmBuild/org.gna.%{pkgname}.zip

%files
%doc %{pkgname}.feature/{AUTHORS,CHANGES,COPYING,MANUAL,README,TODO}
%{install_loc}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.8.0-7.20100810svn.2.mga3
+ Revision: 349411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0.8.0-7.20100810svn.1.mga3
+ Revision: 343715
- Fix build

* Mon May 09 2011 dmorgan <dmorgan> 0.8.0-6.20100810svn.1.mga1
+ Revision: 96769
- imported package eclipse-eclox

